matrix:
  bazel:
    - 8.x
    - 9.x
tasks:
  verify_targets:
    name: Verify targets
    platform: macos
    bazel: ${{ bazel }}
    build_targets:
      - '@rules_apple_linker//:lld'
    build_flags:
      - "--repo_env=BAZEL_DO_NOT_DETECT_CPP_TOOLCHAIN=1"

bcr_test_module:
  module_path: ""
  matrix:
    bazel:
      - 8.x
      - 9.x
  tasks:
    run_test_module:
      name: "Run test module"
      platform: macos
      bazel: ${{ bazel }}
      build_targets:
        - '//test/...'
      test_targets:
        - '//test/...'
      build_flags:
        - "--repo_env=BAZEL_DO_NOT_DETECT_CPP_TOOLCHAIN=1"
      test_flags:
        - "--repo_env=BAZEL_DO_NOT_DETECT_CPP_TOOLCHAIN=1"
